org.apache.ode.bpel.pmapi

## Interface CommunicationType

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    CommunicationTypeImpl

      public interface CommunicationType
      extends org.apache.xmlbeans.XmlObject

  An XML CommunicationType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CommunicationType.Exchange` An XML exchange(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `CommunicationType.Factory` A factory class with static methods for creating instances of this type.
    `static interface` | `CommunicationType.ServiceConfig` An XML serviceConfig(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommunicationType.Exchange` | `addNewExchange()` Appends and returns a new empty value (as xml) as the last "exchange" element
    `CommunicationType.ServiceConfig` | `addNewServiceConfig()` Appends and returns a new empty value (as xml) as the last "serviceConfig" element
    `CommunicationType.Exchange[]` | `getExchangeArray()` Gets array of all "exchange" elements
    `CommunicationType.Exchange` | `getExchangeArray(int i)` Gets ith "exchange" element
    `javax.xml.namespace.QName` | `getProcessType()` Gets the "processType" element
    `boolean` | `getRollbackOnFault()` Gets the "rollbackOnFault" element
    `CommunicationType.ServiceConfig[]` | `getServiceConfigArray()` Gets array of all "serviceConfig" elements
    `CommunicationType.ServiceConfig` | `getServiceConfigArray(int i)` Gets ith "serviceConfig" element
    `CommunicationType.Exchange` | `insertNewExchange(int i)` Inserts and returns a new empty value (as xml) as the ith "exchange" element
    `CommunicationType.ServiceConfig` | `insertNewServiceConfig(int i)` Inserts and returns a new empty value (as xml) as the ith "serviceConfig" element
    `boolean` | `isSetRollbackOnFault()` True if has "rollbackOnFault" element
    `void` | `removeExchange(int i)` Removes the ith "exchange" element
    `void` | `removeServiceConfig(int i)` Removes the ith "serviceConfig" element
    `void` | `setExchangeArray(CommunicationType.Exchange[] exchangeArray)` Sets array of all "exchange" element
    `void` | `setExchangeArray(int i, CommunicationType.Exchange exchange)` Sets ith "exchange" element
    `void` | `setProcessType(javax.xml.namespace.QName processType)` Sets the "processType" element
    `void` | `setRollbackOnFault(boolean rollbackOnFault)` Sets the "rollbackOnFault" element
    `void` | `setServiceConfigArray(CommunicationType.ServiceConfig[] serviceConfigArray)` Sets array of all "serviceConfig" element
    `void` | `setServiceConfigArray(int i, CommunicationType.ServiceConfig serviceConfig)` Sets ith "serviceConfig" element
    `int` | `sizeOfExchangeArray()` Returns number of "exchange" element
    `int` | `sizeOfServiceConfigArray()` Returns number of "serviceConfig" element
    `void` | `unsetRollbackOnFault()` Unsets the "rollbackOnFault" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessType()` Gets (as xml) the "processType" element
    `org.apache.xmlbeans.XmlBoolean` | `xgetRollbackOnFault()` Gets (as xml) the "rollbackOnFault" element
    `void` | `xsetProcessType(org.apache.xmlbeans.XmlQName processType)` Sets (as xml) the "processType" element
    `void` | `xsetRollbackOnFault(org.apache.xmlbeans.XmlBoolean rollbackOnFault)` Sets (as xml) the "rollbackOnFault" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getProcessType

          javax.xml.namespace.QName getProcessType()

      Gets the "processType" element

    - #### xgetProcessType

          org.apache.xmlbeans.XmlQName xgetProcessType()

      Gets (as xml) the "processType" element

    - #### setProcessType

          void setProcessType(javax.xml.namespace.QName processType)

      Sets the "processType" element

    - #### xsetProcessType

          void xsetProcessType(org.apache.xmlbeans.XmlQName processType)

      Sets (as xml) the "processType" element

    - #### getRollbackOnFault

          boolean getRollbackOnFault()

      Gets the "rollbackOnFault" element

    - #### xgetRollbackOnFault

          org.apache.xmlbeans.XmlBoolean xgetRollbackOnFault()

      Gets (as xml) the "rollbackOnFault" element

    - #### isSetRollbackOnFault

          boolean isSetRollbackOnFault()

      True if has "rollbackOnFault" element

    - #### setRollbackOnFault

          void setRollbackOnFault(boolean rollbackOnFault)

      Sets the "rollbackOnFault" element

    - #### xsetRollbackOnFault

          void xsetRollbackOnFault(org.apache.xmlbeans.XmlBoolean rollbackOnFault)

      Sets (as xml) the "rollbackOnFault" element

    - #### unsetRollbackOnFault

          void unsetRollbackOnFault()

      Unsets the "rollbackOnFault" element

    - #### getServiceConfigArray

          CommunicationType.ServiceConfig[] getServiceConfigArray()

      Gets array of all "serviceConfig" elements

    - #### getServiceConfigArray

          CommunicationType.ServiceConfig getServiceConfigArray(int i)

      Gets ith "serviceConfig" element

    - #### sizeOfServiceConfigArray

          int sizeOfServiceConfigArray()

      Returns number of "serviceConfig" element

    - #### setServiceConfigArray

          void setServiceConfigArray(CommunicationType.ServiceConfig[] serviceConfigArray)

      Sets array of all "serviceConfig" element

    - #### setServiceConfigArray

          void setServiceConfigArray(int i,
                                     CommunicationType.ServiceConfig serviceConfig)

      Sets ith "serviceConfig" element

    - #### insertNewServiceConfig

          CommunicationType.ServiceConfig insertNewServiceConfig(int i)

      Inserts and returns a new empty value (as xml) as the ith "serviceConfig" element

    - #### addNewServiceConfig

          CommunicationType.ServiceConfig addNewServiceConfig()

      Appends and returns a new empty value (as xml) as the last "serviceConfig" element

    - #### removeServiceConfig

          void removeServiceConfig(int i)

      Removes the ith "serviceConfig" element

    - #### getExchangeArray

          CommunicationType.Exchange[] getExchangeArray()

      Gets array of all "exchange" elements

    - #### getExchangeArray

          CommunicationType.Exchange getExchangeArray(int i)

      Gets ith "exchange" element

    - #### sizeOfExchangeArray

          int sizeOfExchangeArray()

      Returns number of "exchange" element

    - #### setExchangeArray

          void setExchangeArray(CommunicationType.Exchange[] exchangeArray)

      Sets array of all "exchange" element

    - #### setExchangeArray

          void setExchangeArray(int i,
                                CommunicationType.Exchange exchange)

      Sets ith "exchange" element

    - #### insertNewExchange

          CommunicationType.Exchange insertNewExchange(int i)

      Inserts and returns a new empty value (as xml) as the ith "exchange" element

    - #### addNewExchange

          CommunicationType.Exchange addNewExchange()

      Appends and returns a new empty value (as xml) as the last "exchange" element

    - #### removeExchange

          void removeExchange(int i)

      Removes the ith "exchange" element